# Struct compound_atom

- Defined in File compound.hpp

## Struct Documentation

struct compound_atom

  struct containing information about an atom in a chemical compound. This is a subset of the available information. Contact the author if you need more fields.

  Public Functions

  inline point get_location() const

    Return the location of the atom as a point.

  Public Members

  std::string id

    Identifier for each atom in the chemical component.

  atom_type type_symbol

    The element type for each atom in the chemical component.

  int charge = 0

    The formal charge assigned to each atom in the chemical component.

  bool aromatic = false

    Defines atoms in an aromatic moiety.

  bool leaving_atom = false

    Flags atoms with “leaving” capability.

  stereo_config_type stereo_config = stereo_config_type::N

    Defines the stereochemical configuration of the chiral center atom.

  float x

    The x component of the coordinates for each atom specified as orthogonal angstroms.

  float y

    The y component of the coordinates for each atom specified as orthogonal angstroms.

  float z

    The z component of the coordinates for each atom specified as orthogonal angstroms.